Bug 118174 - Problem with const in icaltime.c
Summary: Problem with const in icaltime.c
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 19:46 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 05:15:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-03-12 19:46:45 UTC
Description of problem:

I just tried to compile Fedora Core2 Test1 package
evolution-data-server-0.0.6-1

The compiler said

icaltime.c(373): error #137: expression must be a modifiable lvalue
      tt.is_date = 0;

The source code is

time_t icaltime_as_timet_with_zone(const struct icaltimetype tt,
        const icaltimezone *zone)
{

Possible problem here - tt is marked const in the parameter list,
and then later it is modified.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Thacker 2006-04-22 05:15:44 UTC
This kind of bug is best filed upstream.


Note You need to log in before you can comment on or make changes to this bug.